# Interface VulkanAttachmentDescriptionType

All Known Implementing Classes:
  `VulkanAttachmentDescription`

@Immutable public interface VulkanAttachmentDescriptionType
Structure specifying an attachment description

See Also:
  - "VkAttachmentDescription"

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanImageLayout`
  `finalLayout()`
  `Set<VulkanAttachmentDescriptionFlag>`
  `flags()`
  `VulkanFormat`
  `format()`
  `VulkanImageLayout`
  `initialLayout()`
  `VulkanAttachmentLoadOp`
  `loadOp()`
  `VulkanSampleCountFlag`
  `samples()`
  `VulkanAttachmentLoadOp`
  `stencilLoadOp()`
  `VulkanAttachmentStoreOp`
  `stencilStoreOp()`
  `VulkanAttachmentStoreOp`
  `storeOp()`

- ## Method Details

  - ### flags

    @Parameter Set<VulkanAttachmentDescriptionFlag> flags()
    Returns:
      flags specifying additional properties of the attachment.

  - ### format

    @Parameter VulkanFormat format()
    Returns:
      the format of the image view that will be used for the attachment.

  - ### samples

    @Parameter VulkanSampleCountFlag samples()
    Returns:
      the number of samples of the image.

  - ### loadOp

    @Parameter VulkanAttachmentLoadOp loadOp()
    Returns:
      A value specifying how the contents of color and depth components of the attachment are treated at the beginning of the subpass where it is first used.

  - ### storeOp

    @Parameter VulkanAttachmentStoreOp storeOp()
    Returns:
      A value specifying how the contents of color and depth components of the attachment are treated at the end of the subpass where it is last used.

  - ### stencilLoadOp

    @Parameter VulkanAttachmentLoadOp stencilLoadOp()
    Returns:
      A value specifying how the contents of stencil components of the attachment are treated at the beginning of the subpass where it is first used.

  - ### stencilStoreOp

    @Parameter VulkanAttachmentStoreOp stencilStoreOp()
    Returns:
      A value specifying how the contents of stencil components of the attachment are treated at the end of the last subpass where it is used.

  - ### initialLayout

    @Parameter VulkanImageLayout initialLayout()
    Returns:
      The layout the attachment image subresource will be in when a render pass instance begins.

  - ### finalLayout

    @Parameter VulkanImageLayout finalLayout()
    Returns:
      The layout the attachment image subresource will be transitioned to when a render pass instance ends. During a render pass instance, an attachment can use a different layout in each subpass, if desired.